﻿using System.Collections.Generic;
using Telerik.OpenAccess;
using Telerik.OpenAccess.Query;

namespace NWOA
{
    public class TestViewModel
    {
        public static IObjectScope Scope = NWScopeProvider.GetNewObjectScope();
        public TestViewModel()
        {
            SetTable();
        }

        public void SetTable()
        {
            var query =
            from c in Scope.Extent<Category>()
            select c;
            CategoryList = query.ToList();
        }

        public IList<Category> CategoryList
        {
            get;
            set;
        }

        public Category SelectedItem
        {
            get;
            set;
        }

    }
} 
